Package wx :: Package lib :: Module eventwatcher

[frames | no frames]

## Module wx.lib.eventwatcher

A widget and supporting classes for watching the events sent to some other widget.

Classes
`EventChooser` | Panel with CheckListCtrl for selecting which events will be watched.
`EventLog` | A virtual listctrl that displays information about the watched events.
`EventWatcher` | A frame that will catch and display al events sent to some widget.

Function Summary
| ``addModuleEvents`(module)` Adds all the items in module that start with 'EVT_' to the event data structures used by the EventWatcher.
| ``buildWxEventMap`()` Add the event binders from the main wx namespace.

Function Details

### addModuleEvents(module)

    Adds all the items in module that start with 'EVT_' to the event
    data structures used by the EventWatcher.

### buildWxEventMap()

Add the event binders from the main wx namespace. This is called automatically from the EventWatcher.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:23 2009 | http://epydoc.sf.net